View Issue Details

IDProjectCategoryView StatusLast Update
0023029Mylyn ConnectorCorepublic2018-05-30 17:03
Reporterrombert Assigned Torombert  
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.12.0 
Target Version3.12.0Fixed in Version3.12.0 
Summary0023029: Synchronization failed due to NPE at MantisConverter.java:73
Description

The stack trace below indicates that a NPE due to a null projection caused synchronization to fail

Exception:java.lang.NullPointerException: null
     at com.itsolut.mantis.core.soap.MantisConverter.convert(MantisConverter.java:73)
     at com.itsolut.mantis.core.soap.MantisSoapClient.getTicket(MantisSoapClient.java:372)
     at com.itsolut.mantis.core.MantisTaskDataHandler.getTaskData(MantisTaskDataHandler.java:277)
     at com.itsolut.mantis.core.MantisRepositoryConnector.getTaskData(MantisRepositoryConnector.java:300)
     at org.eclipse.mylyn.internal.tasks.core.sync.SynchronizeTasksJob.synchronizeTask(SynchronizeTasksJob.java:245)
     at org.eclipse.mylyn.internal.tasks.core.sync.SynchronizeTasksJob.runInternal(SynchronizeTasksJob.java:218)
     at org.eclipse.mylyn.internal.tasks.core.sync.SynchronizeTasksJob.run(SynchronizeTasksJob.java:151)
     at org.eclipse.mylyn.internal.tasks.core.sync.SynchronizeTasksJob.run(SynchronizeTasksJob.java:133)
     at org.eclipse.mylyn.internal.tasks.core.sync.SynchronizeQueriesJob.run(SynchronizeQueriesJob.java:224)
     at org.eclipse.mylyn.internal.tasks.core.sync.SynchronizeRepositoriesJob.updateQueries(SynchronizeRepositoriesJob.java:187)
     at org.eclipse.mylyn.internal.tasks.core.sync.SynchronizeRepositoriesJob.run(SynchronizeRepositoriesJob.java:142)
     at org.eclipse.core.internal.jobs.Worker.run(Worker.java:56)
TagsNo tags attached.

Activities

rombert

rombert

2017-09-10 16:01

manager   ~0057660

Fixed in 0749a395f879ea2e1f41231e4aaf14a5cf48bb34

Issue History

Date Modified Username Field Change
2017-06-18 14:43 rombert New Issue
2017-06-18 14:43 rombert Status new => assigned
2017-06-18 14:43 rombert Assigned To => rombert
2017-09-10 16:01 rombert Status assigned => resolved
2017-09-10 16:01 rombert Resolution open => fixed
2017-09-10 16:01 rombert Fixed in Version => 3.12.0
2017-09-10 16:01 rombert Note Added: 0057660
2018-05-30 17:03 rombert Status resolved => closed